Skip to main content
GET
/
cleemy-procurement
/
api
/
invoices
/
{id}
Get Invoice
curl --request GET \
  --url https://{host}/cleemy-procurement/api/invoices/{id} \
  --header 'Authorization: <authorization>'
{
  "id": 123,
  "type": "<string>",
  "purchase": {
    "id": 123,
    "href": "<string>",
    "name": "<string>",
    "type": "Subscription"
  },
  "expectedAmount": {
    "base": {
      "value": 123,
      "currency": "Invalid"
    },
    "counter": {
      "value": 123,
      "currency": "Invalid"
    },
    "rate": 123
  },
  "costAmount": {
    "base": {
      "value": 123,
      "currency": "Invalid"
    },
    "counter": {
      "value": 123,
      "currency": "Invalid"
    },
    "rate": 123
  },
  "context": {
    "purchase": {
      "id": 123,
      "href": "<string>",
      "name": "<string>",
      "type": "Subscription"
    },
    "expectedDocumentId": 2,
    "originalAmount": {
      "value": 123,
      "currency": "Invalid"
    },
    "data": {}
  },
  "documentDate": "2023-12-25",
  "documentNumber": "<string>",
  "amountIncludingTaxes": {
    "base": {
      "excludingTaxes": {
        "value": 123,
        "currency": "Invalid"
      },
      "taxes": [
        {
          "rateTypeId": 123,
          "value": 123,
          "currency": "Invalid"
        }
      ],
      "includingTaxes": {
        "value": 123,
        "currency": "Invalid"
      }
    },
    "counter": {
      "excludingTaxes": {
        "value": 123,
        "currency": "Invalid"
      },
      "taxes": [
        {
          "rateTypeId": 123,
          "value": 123,
          "currency": "Invalid"
        }
      ],
      "includingTaxes": {
        "value": 123,
        "currency": "Invalid"
      }
    },
    "rate": 123
  },
  "documentBreakdown": {
    "id": 2,
    "href": "<string>",
    "name": "<string>"
  },
  "attachments": [
    {
      "id": 123,
      "file": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "href": "<string>",
        "name": "<string>",
        "displayHref": "<string>"
      },
      "createdAt": "2023-11-07T05:31:56Z",
      "pages": {
        "displayHrefTemplate": "<string>",
        "count": 123
      }
    }
  ],
  "dueDate": "2023-12-25",
  "paymentDetails": {
    "paymentMethod": "BankTransfer",
    "bankAccount": {
      "iban": "<string>",
      "bic": "<string>"
    }
  },
  "conformityState": "ToReview",
  "paymentState": "None",
  "paymentDate": "2023-12-25",
  "completion": "ToReview",
  "flag": "Unflagged",
  "accountingLabel": "<string>",
  "comment": "<string>",
  "commentsCount": 1,
  "createdAt": "2023-11-07T05:31:56Z",
  "author": {
    "id": 123,
    "href": "<string>",
    "name": "<string>",
    "firstName": "<string>",
    "lastName": "<string>",
    "pictureHref": "<string>"
  },
  "modifiedAt": "2023-11-07T05:31:56Z",
  "modifier": {
    "id": 123,
    "href": "<string>",
    "name": "<string>",
    "firstName": "<string>",
    "lastName": "<string>",
    "pictureHref": "<string>"
  }
}

Headers

Authorization
string
required

API key. Value must be formatted like so: lucca application={api_key}.

Path Parameters

id
integer<int32>
required

ID of the invoice.

Response

200 - application/json

OK

id
integer<int32>
type
string
Allowed value: "Invoice"
purchase
Reference to a purchase · object

Reference to a purchase.

expectedAmount
dual-currency-amount · object

Represents an amount of money in two different currencies.

costAmount
dual-currency-amount · object

Represents an amount of money in two different currencies.

context
Booked document context · object
documentDate
string<date>
documentNumber
string
amountIncludingTaxes
Dual currency taxed amount · object

Represents an amount of money with VAT taxes in two different currencies.

documentBreakdown
Reference to a document-breakdown. · object
attachments
attachment · object[]
Required array length: 1 - 3 elements
dueDate
string<date>
paymentDetails
object
conformityState
enum<string>
Available options:
ToReview,
PendingBreakdown,
Confirmed,
Litigation,
Discarded,
Removed,
Bypassed
paymentState
enum<string>
Available options:
None,
ToPay,
UnderReview,
Emitting,
Paid,
OnHold,
Rejected,
Cancelled
paymentDate
string<date> | null
completion
enum<string>
Available options:
ToReview,
Partial,
Disputed,
Complete
flag
enum<string>
Available options:
Unflagged,
Flagged
accountingLabel
string | null
comment
string | null
commentsCount
integer<int32>
Required range: x >= 0
createdAt
string<date-time>
author
Reference to a user · object

Reference to a user.

modifiedAt
string<date-time>
modifier
Reference to a user · object

Reference to a user.